/*
     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2, or (at your option)
     any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <X11/Xlib.h>
#include "McApp.h"
#include "McBitmap.h"
#include "icons.h"

#include "speaker.xbm"
#include "speaker_mask.xbm"
#include "wide.xbm"
#include "wideoff.xbm"
#include "mute.xbm"
#include "volume.xbm"
#include "synth.xbm"
#include "pcm.xbm"
#include "tweeter.xbm"
#include "mic.xbm"
#include "cd.xbm"
#include "aux.xbm"
#include "pcm2.xbm"
#include "bass.xbm"
#include "treble.xbm"
#include "vol.xbm"
#include "tape.xbm"
#include "headphone.xbm"
#include "mix_play.xbm"
#include "mix_rec.xbm"

McBitmap pmap[] = {

    MCBITMAP(speaker_bits, speaker_width, speaker_height, 0, 0),
    MCBITMAP(speaker_mask_bits, speaker_mask_width, speaker_mask_height, 0, 0),
    MCBITMAP(wide_bits, wide_width, wide_height, 5, 2),
    MCBITMAP(mute_bits, mute_width, mute_height, 8, 2),
    MCBITMAP(volume_bits, volume_width, volume_height, 8, 2),
    MCBITMAP(wideoff_bits, wideoff_width, wideoff_height, 8, 2),


    MCBITMAP(vol_bits,    vol_width,    vol_height,    4, 1), /*vol*/
    MCBITMAP(bass_bits,   bass_width,   bass_height,   4, 1), /*bass*/
    MCBITMAP(treble_bits, treble_width, treble_height, 4, 1), /*treble*/
    MCBITMAP(synth_bits,  synth_width,  synth_height,  4, 1), /*synth*/
    MCBITMAP(pcm_bits,    pcm_width,    pcm_height,    4, 2), /*pcm*/
    MCBITMAP(tweeter_bits,tweeter_width,tweeter_height,4, 1), /*spkr*/
    MCBITMAP(aux_bits,    aux_width,    aux_height,    4, 1), /*line*/
    MCBITMAP(mic_bits,    mic_width,    mic_height,    4, 1), /*mic*/
    MCBITMAP(cd_bits,     cd_width,     cd_height,     4, 1), /*cd*/
    MCBITMAP(headphone_bits,headphone_width,headphone_height,4,1),/*mix*/
    MCBITMAP(pcm2_bits,   pcm2_width,   pcm2_height,   4, 2), /*pcm2*/
    MCBITMAP(tape_bits,   tape_width,   tape_height,   4, 1), /*rec*/

    MCBITMAP(mix_play_bits, mix_play_width, mix_play_height, 0, 0),
    MCBITMAP(mix_rec_bits,  mix_rec_width,  mix_rec_height,  0, 0),

  };
