/* Copyright (C) 1994 
            Olav Woelfelschneider (wosch@rbg.informatik.th-darmstadt.de)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Used by: xplaycd
 * Define this if you want xplaycd to use /dev/mixer for controlling the
 * cd playback volume instead of sending volume requests to the cdrom drive.
 * Note that sending requests to the drive is untested and may not work.
 * You must also define MIXERDEVICE below.
 */
#define USE_MIXER

/* Used by: xmixer (xplaycd)
 * The mixerdevice. XMixer needs this, xplaycd needs this if you have
 * USE_MIXER defined.
 */
#define MIXERDEVICE "/dev/mixer"

/* Used by: xplaycd
 * This is the devicename of your cdrom. Usually this is defined as /dev/cdrom
 * which is a symbolic link to the real device. But you may also enter the
 * device directly, the first linux scsi drive would be /dev/sr0.
#define CDROMDEVICE  "/dev/cdrom"

/* Used by: xmixer
 * Define ALTPCMDEVICE to the proper filename if you want xmixer to check
 * for a second PCM device and display a slider for it if it exists.
 * Define neither of the next two if you always want a slider for PCM2.
 * Define NO_ALTPCMDEVICE if you never want a slider for PCM2.
 * If you define both, NO_ALTPCMDEVICE will be superior.
 */
#define ALTPCMDEVICE "/dev/dsp1"
#undef NO_ALTPCMDEVICE

/* Used by: xmixer
 * Define this if you want periodical display updates. If you use polling,
 * you will see changes of settings even if they are made by other programs.
 * But be warned: Though this polling usually causes only minimal system load,
 * it keeps the mixer programm always in memory. So don't define this if you
 * are low on memory.
 * This is the default setting, you can always switch polling on or off with
 * the command line switches -p or -np.
 * Note: This option has no effect to xplaycd because it has to poll the cdrom
 *       to update the track/time display anyway, so it also polls the mixer
 *       if possible.
 */
#define POLL_MIXER

/* Used by: xmixer
 * This is the delay between mixer polls in microseconds. You have to define
 * this, even if you don't define POLL_MIXER, cause polling may be enabled
 * with the -p command line switch.
 */
#define MIXER_POLL_RATE 333333  /* Three times per second */

/* Used by: all
 * The default font. Change it to "fixed" if you get warnings while running
 * a programm. BOLD_FONT is not used yet.
 */
#define	DEFAULT_FONT	"-b&h-lucida-medium-r-normal-sans-*-120-*-*-p-*-*-*"
#define	BOLD_FONT	"-b&h-lucida-bold-r-normal-sans-*-120-*-*-p-*-*-*"

/* Used by: xplaycd
 * It has been reported that some drives make ugly noise when polled with no
 * cd in it. You should remove the following define if your drive belongs
 * to this group.
 * Unfortunately, xplaycd will not detect that you inserted a disc into the
 * drive without this option enabled. The eject button has got a new meaning
 * for this purpose: Press it _once_ after inserting a disc, and xplaycd
 * will return to live.
 */
#define EMPTY_POLL

