/* Copyright (C) 1994 
            Olav Woelfelschneider (wosch@rbg.informatik.th-darmstadt.de)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/bitmaps/gray1>
#include <X11/bitmaps/gray3>
#include <stdio.h>
#include <string.h>
#include <malloc.h>

#include "McApp.h"
#include "McBitmap.h"

McBitmap *McCreateBitmap(McApp *app, int x, int y, char *bits, int w, int h) {
  McBitmap *bitmap = (McBitmap *) malloc(sizeof(McBitmap));
  bitmap->x      = x;
  bitmap->y      = y;
  bitmap->width  = w;
  bitmap->height = h;
  bitmap->pixmap = XCreateBitmapFromData(app->display, app->window, bits,w,h);
  bitmap->next   = NULL;
  return bitmap;
}

void McChangeBitmap(McApp *app, McBitmap *bitmap, char *bits, int w, int h) {
  bitmap->width  = w;
  bitmap->height = h;
  bitmap->pixmap = XCreateBitmapFromData(app->display, app->window, bits,w,h);
}

void McFreeBitmap(McBitmap *bitmap) {
  free(bitmap);
}

void McPutBitmap(McApp *app, McBitmap *bitmap, GC gc, int x, int y) {
  while (bitmap) {
    XCopyPlane(app->display, bitmap->pixmap, app->window, gc, 0, 0,
	       bitmap->width, bitmap->height, bitmap->x+x, bitmap->y+y, 1);
    bitmap=bitmap->next;
  }
}
