/* Copyright (C) 1994 
            Olav Woelfelschneider (wosch@rbg.informatik.th-darmstadt.de)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <X11/Xlib.h>
#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include "McApp.h"
#include "McGadget.h"
#include "McMenu.h"

#define MENU ((McMenu *)(gadget->specialInfo))

static void McMenuUpdate(McApp *app, McGadget *gadget, int busy);
static int McMenuEvent(McApp *app, McGadget *gadget, XEvent *event);

McSpecialInfo *McCreateMenu(unsigned int flags) {

  McMenu *menu = (McMenu *) malloc(sizeof(McMenu));
  menu->flags = flags;
  menu->specialInfo.updateProc = McMenuUpdate;
  menu->specialInfo.eventProc = McMenuEvent;
  return (McSpecialInfo *)menu;
}

static void McMenuUpdate(McApp *app, McGadget *gadget, int busy) {
}

static int McMenuEvent(McApp *app, McGadget *gadget, XEvent *event) {
  int i,j;

  if (gadget->flags&GAD_PRESSED) {
    switch (event->type) {
    case ButtonRelease:
      gadget->flags&=~GAD_PRESSED;
      if (McInRectangle(event->xbutton.x, event->xbutton.y,
			gadget->x+app->borderWidth,
			gadget->y, gadget->width-((app->borderWidth)<<1),
			gadget->height)) {
	if (gadget->callbackUp) {
	  (*gadget->callbackUp)(gadget);
	}
      }
      return 0;

    case MotionNotify:
      return 1;
    case ButtonPress:
      return 1;
    default:
      gadget->flags&=~GAD_PRESSED;
      return 0;
    }
  } else { /* not currently pressed */
    switch (event->type) {
    case ButtonPress:
      if (McInRectangle(event->xbutton.x, event->xbutton.y,
			gadget->x, gadget->y, gadget->width, gadget->height)) {

	if (gadget->callbackDown) {
	  XFlush(app->display);
	  (*gadget->callbackDown)(gadget);
	}
	gadget->flags&=~GAD_PRESSED;
	McMoveGadgetToStart(app, gadget);
	return 1;
      } else {
	return 0;
      }
    default:
      return 0;
    }
  }
}

