/* Copyright (C) 1994 
            Olav Woelfelschneider (wosch@rbg.informatik.th-darmstadt.de)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _McMenu_h_
#define _McMenu_h_

/* Menu flags */
#define ITEM_CHECKIT	1
#define ITEM_TEXT	2
#define	ITEM_COMMSEQ	4
#define	ITEM_MENUTOGGLE	8
#define ITEM_ENABLED	16
#define ITEM_HCOMP	64
#define ITEM_HBOX	128
#define ITEM_CHECKED	256
#define ITEM_ISDRAWN	4096
#define ITEM_HIGH	8192
#define ITEM_TOGGLED	16384

struct McMenuItem;

typedef struct McMenu {
  McSpecialInfo specialInfo;
  unsigned int flags;
  int x,y;
  struct McMenuItem *first;
} McMenu;

typedef struct McMenuItem {
  struct McMenuItem *next;
  int x,y,width,height;
  int flags;
  int exclude;
  McBitmap *normalBitmap;
  McBitmap *selectBitmap;
  McText *normalText;
  McText *selectText;
  int command;
  struct McMenuItem *subItem;
} McMenuItem;

extern McSpecialInfo *McCreateMenu(unsigned int flags);


#endif /* _McMenu_h_ */

