/* Copyright (C) 1994 
            Olav Woelfelschneider (wosch@rbg.informatik.th-darmstadt.de)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <stdio.h>
#include <string.h>
#include <malloc.h>

#include "McApp.h"
#include "McText.h"

McText *McCreateText(McApp *app, char *text, GC gc, XFontStruct *font, 
		     int x, int y) {
  int		direction, ascent, descent;
  XCharStruct	overall;

  McText *txt = (McText *) malloc(sizeof(McText));
  txt->x = x;
  txt->y = y;
  txt->text = NULL;
  txt->font = font;
  txt->next = NULL;
  McChangeText(app, txt, text, gc);
  return txt;
}

void McChangeText(McApp *app, McText *txt, char *text, GC gc) {
  int		direction, ascent, descent;
  XCharStruct	overall;

  XTextExtents(txt->font, text, strlen(text), &direction, &ascent,
	       &descent, &overall);

  txt->width = overall.width;
  txt->height = txt->font->ascent + txt->font->descent;
  if (txt->text)
    free(txt->text);
  txt->text = strdup(text);
  txt->gc = gc;
}

void McFreeText(McText *txt) {
  if (txt->text)
    free(txt->text);
  free(txt);
}

void McWriteText(McApp *app, McText *txt, GC gc, int x, int y) {
  while(txt) {
    XDrawImageString(app->display, app->window, gc?gc:txt->gc,
		     txt->x+x, txt->y+y+txt->font->ascent,
		     txt->text,strlen(txt->text));
    txt=txt->next;
  }
}
